- [HTTP request](https://docs.cloud.google.com/dataflow/docs/reference/rest/v1b3/projects.jobs/getMetrics#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/dataflow/docs/reference/rest/v1b3/projects.jobs/getMetrics#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/dataflow/docs/reference/rest/v1b3/projects.jobs/getMetrics#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/dataflow/docs/reference/rest/v1b3/projects.jobs/getMetrics#body.request_body)
- [Response body](https://docs.cloud.google.com/dataflow/docs/reference/rest/v1b3/projects.jobs/getMetrics#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/dataflow/docs/reference/rest/v1b3/projects.jobs/getMetrics#body.aspect)
- [Try it!](https://docs.cloud.google.com/dataflow/docs/reference/rest/v1b3/projects.jobs/getMetrics#try-it)

Request the job status.

To request the status of a job, we recommend using `projects.locations.jobs.getMetrics` with a [regional endpoint](https://cloud.google.com/dataflow/docs/concepts/regional-endpoints). Using `projects.jobs.getMetrics` is not recommended, as you can only request the status of jobs that are running in `us-central1`.

### IAM Permissions

Requires the `dataflow.metrics.get` permission on the job.

### HTTP request

Choose an endpoint:
global   
`GET https://dataflow.googleapis.com/v1b3/projects/{projectId}/jobs/{jobId}/metrics`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `projectId` | `string` A project id. |
| `jobId` | `string` The job to get metrics for. |

### Query parameters

| Parameters ||
|---|---|
| `startTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Return only metric data that has changed since this time. Default is to return all information about all metrics for the job. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `location` | `string` The [regional endpoint](https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the job specified by jobId. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/dataflow/docs/reference/rest/v1b3/JobMetrics`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).